// Set 13 -- Using Data in the Array
// Version B
// Plot points vertically at gold values



// Closing gold prices on one day between Feb 23 and 28 
// from 1975 go 2011
// Source  Kitco.com
int [ ] gold = {  185, 133, 139, 180, 250, 616, 500, 366, 464, 395, 
                  284, 352, 405, 432, 488, 415, 358, 350, 329, 376, 
                  377, 398, 353, 292, 286, 294, 260, 292, 257, 400, 
                  434, 564, 683, 937, 978, 1094, 1401 };
PFont f;

final int FIRST_YEAR = 1975;
final int LAST_YEAR = 2011;

float leftEdge, rightEdge, topEdge, bottomEdge;

// new code
int minValue, maxValue;
// end new code

void setup( )
{
  size( 1000, 600 );
  f = loadFont( "f.vlw" );
  textFont( f );
  textSize( 12 );
  textAlign(CENTER, CENTER);
  
  leftEdge = 10;
  rightEdge = width-10;
  topEdge = 20;
  bottomEdge = height-20;

  // new code
  minValue = min(gold);
  maxValue = max(gold);
  // end new code
}

void draw( )
{
   testPlots( );
   
   noLoop( ); 
}

void testPlots( )
{
  fill( 0 );
  stroke( 0, 0, 255 );
  strokeWeight( 4 );

  
  for ( int i = 0; i < gold.length; i++)
  {

     // compute x, y values for current gold value
     float x = map( i, 0, gold.length, leftEdge, rightEdge);
     
     // new code
       //float y = map( gold[i], minValue, maxValue, topEdge, bottomEdge);
     float y = map( gold[i], maxValue, minValue, topEdge, bottomEdge);
     // end new code
    
     // draw a point for each value
     point( x, y );

  }
  
}



